package com.kingdee.eas.custom.compensation;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSubmitShemeTemplateInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractSubmitShemeTemplateInfo()
    {
        this("id");
    }
    protected AbstractSubmitShemeTemplateInfo(String pkField)
    {
        super(pkField);
        put("entry", new com.kingdee.eas.custom.compensation.SubmitShemeTemplateEntryCollection());
    }
    /**
     * Object: 提报套打模板 's 提报方案 property 
     */
    public com.kingdee.shr.compensation.app.integrate.CalSubmitSchemeInfo getCalSubmitScheme()
    {
        return (com.kingdee.shr.compensation.app.integrate.CalSubmitSchemeInfo)get("calSubmitScheme");
    }
    public void setCalSubmitScheme(com.kingdee.shr.compensation.app.integrate.CalSubmitSchemeInfo item)
    {
        put("calSubmitScheme", item);
    }
    /**
     * Object: 提报套打模板 's entry property 
     */
    public com.kingdee.eas.custom.compensation.SubmitShemeTemplateEntryCollection getEntry()
    {
        return (com.kingdee.eas.custom.compensation.SubmitShemeTemplateEntryCollection)get("entry");
    }
    /**
     * Object:提报套打模板's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BaseItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BaseItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BaseItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object: 提报套打模板 's HR组织 property 
     */
    public com.kingdee.eas.basedata.org.HROrgUnitInfo getHrOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.HROrgUnitInfo)get("hrOrgUnit");
    }
    public void setHrOrgUnit(com.kingdee.eas.basedata.org.HROrgUnitInfo item)
    {
        put("hrOrgUnit", item);
    }
    /**
     * Object:提报套打模板's 查询字段property 
     */
    public String getSelectItemCol()
    {
        return getString("selectItemCol");
    }
    public void setSelectItemCol(String item)
    {
        setString("selectItemCol", item);
    }
    /**
     * Object:提报套打模板's 单据属性property 
     */
    public String getBillProperties()
    {
        return getString("billProperties");
    }
    public void setBillProperties(String item)
    {
        setString("billProperties", item);
    }
    /**
     * Object:提报套打模板's 分录属性property 
     */
    public String getEntryProperties()
    {
        return getString("entryProperties");
    }
    public void setEntryProperties(String item)
    {
        setString("entryProperties", item);
    }
    /**
     * Object:提报套打模板's 动态字段property 
     */
    public String getSchemeItems()
    {
        return getString("schemeItems");
    }
    public void setSchemeItems(String item)
    {
        setString("schemeItems", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("B75118A1");
    }
}